Package org.apache.storm.hdfs.blobstore

# Class HdfsBlobStoreFile

java.lang.Object
org.apache.storm.blobstore.BlobStoreFile
org.apache.storm.hdfs.blobstore.HdfsBlobStoreFile

public class HdfsBlobStoreFile extends BlobStoreFile

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.apache.hadoop.fs.permission.FsPermission`
  `BLOBSTORE_FILE_PERMISSION`

  ### Fields inherited from class org.apache.storm.blobstore.BlobStoreFile

  `BLOBSTORE_DATA_FILE, TMP_EXT, TMP_NAME_PATTERN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HdfsBlobStoreFile(org.apache.hadoop.fs.Path base, boolean isTmp, boolean mustBeNew, org.apache.hadoop.conf.Configuration hconf)`
  `HdfsBlobStoreFile(org.apache.hadoop.fs.Path base, String name, org.apache.hadoop.conf.Configuration hconf)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel()`
  `void`
  `commit()`
  `void`
  `delete()`
  `long`
  `getFileLength()`
  `InputStream`
  `getInputStream()`
  `String`
  `getKey()`
  `SettableBlobMeta`
  `getMetadata()`
  `long`
  `getModTime()`
  `OutputStream`
  `getOutputStream()`
  `boolean`
  `isTmp()`
  `void`
  `setMetadata(SettableBlobMeta meta)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.storm.blobstore.BlobStoreFile

  `getVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### BLOBSTORE_FILE_PERMISSION

    public static final org.apache.hadoop.fs.permission.FsPermission BLOBSTORE_FILE_PERMISSION

- ## Constructor Details

  - ### HdfsBlobStoreFile

    public HdfsBlobStoreFile(org.apache.hadoop.fs.Path base, String name, org.apache.hadoop.conf.Configuration hconf)

  - ### HdfsBlobStoreFile

    public HdfsBlobStoreFile(org.apache.hadoop.fs.Path base, boolean isTmp, boolean mustBeNew, org.apache.hadoop.conf.Configuration hconf)

- ## Method Details

  - ### delete

    public void delete() throws IOException
    Specified by:
      `delete` in class `BlobStoreFile`
    Throws:
      `IOException`

  - ### isTmp

    public boolean isTmp()
    Specified by:
      `isTmp` in class `BlobStoreFile`

  - ### getKey

    public String getKey()
    Specified by:
      `getKey` in class `BlobStoreFile`

  - ### getModTime

    public long getModTime() throws IOException
    Specified by:
      `getModTime` in class `BlobStoreFile`
    Throws:
      `IOException`

  - ### getInputStream

    public InputStream getInputStream() throws IOException
    Specified by:
      `getInputStream` in class `BlobStoreFile`
    Throws:
      `IOException`

  - ### getOutputStream

    public OutputStream getOutputStream() throws IOException
    Specified by:
      `getOutputStream` in class `BlobStoreFile`
    Throws:
      `IOException`

  - ### commit

    public void commit() throws IOException
    Specified by:
      `commit` in class `BlobStoreFile`
    Throws:
      `IOException`

  - ### cancel

    public void cancel() throws IOException
    Specified by:
      `cancel` in class `BlobStoreFile`
    Throws:
      `IOException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFileLength

    public long getFileLength() throws IOException
    Specified by:
      `getFileLength` in class `BlobStoreFile`
    Throws:
      `IOException`

  - ### getMetadata

    public SettableBlobMeta getMetadata()
    Specified by:
      `getMetadata` in class `BlobStoreFile`

  - ### setMetadata

    public void setMetadata(SettableBlobMeta meta)
    Specified by:
      `setMetadata` in class `BlobStoreFile`